The pool system is used for almost everything in the game. PoolFactory is generic, and there are two main implementations: GameActorPoolFactory and FXObjectPoolFactory. They're not compatible between them, as the needs of the FX objects are much less than the ones of the GameActor infrastructure.
